
def create_random_cube(size=1.0):
    from panda3d.core import NodePath, Geom, GeomNode
    from panda3d.geom import LineSegs

    # Create a cube by drawing a series of lines
    lines = LineSegs()
    lines.addCube(size=size)
    geom = geom = Geom(lines.create())
    geomNode = GeomNode("cubeGeomNode")
    geomNode.addGeom(geom)
    cubeNodePath = NodePath("cubeNodePath")
    cubeNodePath.node().setGeom(geomNode)

    return cubeNodePath


